function [tis,nc,no,ic,io,ind]=getcob(comat,m,l,ind);
% GETCOB : Get control and observation data
%          from comat using the index ind
%
%          [tis,nc,no,ic,io,ind]=getcob(comat,m,ind);
%
  tis=comat(ind); ind=ind+1;
  nc =comat(ind); ind=ind+1;
  if nc>m; error(' nc > m'); end;
  if nc<0; error(' nc < 0'); end;
  ic=comat(ind:ind-1+m); ind=ind+m;
  no=comat(ind); ind=ind+1;
  if no>l; error(' no > l'); end;
  if no<0; error(' no < 0'); end;
  if no>0;
    io=comat(ind:ind-1+no); ind=ind+no;
  else
    io=[];
  end;
